Classes | UGens>Generators>Stochastic

# GrayNoise : WhiteNoise : UGen : AbstractFunction : Object

Gray Noise.
Source: Noise.sc
See also: BrownNoise, ClipNoise, PinkNoise, WhiteNoise

## Description

Generates noise which results from flipping random bits in a word. This type of noise has a high RMS level relative to its peak to peak level. The spectrum is emphasized towards lower frequencies.

## Class Methods

### GrayNoise.ar(mul: 1, add: 0)

From superclass: WhiteNoise

### GrayNoise.kr(mul: 1, add: 0)

From superclass: WhiteNoise

#### Arguments:

mul | Output will be multiplied by this value.
add | This value will be added to the output.

### Inherited class methods

## Instance Methods

### Inherited instance methods

## Examples

    (
    SynthDef("help-GrayNoise", { arg out=0;
        Out.ar(out,
            GrayNoise.ar(0.1)
        )
    }).play;
    )

helpfile source: /Applications/SuperCollider.app/Contents/Resources/HelpSource/Classes/GrayNoise.schelp
link::Classes/GrayNoise::